[linux] problem to build 6.2.3 on non x86_64 system

Image Ici on parle français ou anglais, comme on veut, comme on peut.
Image Here we speak french or english, as we want, as we can.

Moderator: jza

Forum rules
Image Ici on parle français ou anglais, comme on veut, comme on peut, mais on n'oublie jamais que l'on discute entre humains.
Il ne faut surtout pas oublier les mots magiques: bonjour, salut, merci, etc.
Les messages impolis sont rejetés et restent sans réponse.
Il faut souvent être patient, car il y a plein d'autres activités encore plus passionantes dans notre vie.

Image Here we speak french or english, as we want, as we can, but we never forget that we discuss between humans.
Do not forget the magic words: hello, hi, thank you, etc.
Rude messages are rejected and remain unanswered.
It is often necessary to be patient because there are many other activities even more exciting in our life.
Post Reply
Sergey
Posts: 6
Joined: 08 May 2012 10:59

[linux] problem to build 6.2.3 on non x86_64 system

Post by Sergey » 26 Jan 2014 23:14

Hello.

I found some changes in Makefile between 6.1.4 and 6.2.3. For example:

Code: Select all

-QMAKE         = /usr/bin/qmake
+QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake

-       /usr/bin/moc-qt4 $(DEFINES) $(INCPATH) GUI/LineEditorWidget.h -o objs/moc_LineEditorWidget.cpp
+       /usr/lib/x86_64-linux-gnu/qt4/bin/moc $(DEFINES) $(INCPATH) GUI/LineEditorWidget.h -o objs/moc_LineEditorWidget.cpp
This creates a problem compiling on i586.
Regards, Sergey.

jza
Site Admin
Posts: 599
Joined: 19 Jan 2009 00:22

Re: [linux] problem to build 6.2.3 on non x86_64 system

Post by jza » 28 Jan 2014 00:35

Hi,

You are watching a bad Makefile, the one that is automatically generated by qmake.

To compile zyGrib you have to run make in the root directory of the archive.
If necessary, adjust the QTBIN variable to specify the path to your qmake.
That's all... if all goes well ;)
A+
Jacques

Sergey
Posts: 6
Joined: 08 May 2012 10:59

Re: [linux] problem to build 6.2.3 on non x86_64 system

Post by Sergey » 28 Jan 2014 12:40

I make package since 5.0.6. Spec-file for rpm was written long time ago...
But you are right, I was inattentive. :-)

This is a problem of qwt:

Code: Select all

cd src/qwt-6.0.1/src; /usr/lib/qt4/bin/qmake; make -j5
Project ERROR: local build will conflict with /usr/lib/libqwt.*
make[1]: Entering directory `/home/user/RPM/BUILD/zyGrib-6.2.3/src/qwt-6.0.1/src'
/usr/lib/x86_64-linux-gnu/qt4/bin/qmake -o Makefile src.pro
make[1]: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake: Command not found
qwt can't be builded when system's libqwt exist. But I seen last message only, about "Command not found". So solved, thanks.
Regards, Sergey.

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest